# typed: strict
# frozen_string_literal: true

module Researchable
  module FreedcampApi
    APP_WALL = 1
    APP_TODOS = 2
    APP_DISCUSSIONS = 3
    APP_MILESTONES = 4
    APP_TIME = 5
    APP_FILES = 6
    APP_INVOICES = 7
    APP_BUGTRACKER = 13
    APP_WIKI = 14
    APP_CRM = 16
    APP_PASSMAN = 17
    APP_TASKY = 18
    APP_CALENDAR = 19
    APP_INVOICESPLUS = 20
    MODULE_GDOCS = 21
    MODULE_PROJ_CLONING = 22

    PROGRESS_NO_PROGRESS = 0
    PROGRESS_IN_PROGRESS = 2
    PROGRESS_COMPLETED = 1

    STATUS_NOT_STARTED = 0
    STATUS_COMPLETED = 1
    STATUS_IN_PROGRESS = 2
    STATUS_INVALID = 3
    STATUS_REVIEW = 4
  end
end
